// main: ../../main.less

.page {
    .hello {
        display: grid;
        grid-template-columns: auto 20rem;
        grid-template-rows: 8rem 20rem auto;
        grid-template-areas: "bubble ." "saying logo" "description description";
        justify-items: right;
        max-width: 78.6rem;
        width: 100vw;
        padding: 0 2rem;

        .meerchat {
            grid-area: logo;
            width: 20rem;

            .logo {
                display: grid;
                align-items: center;
                justify-items: center;
                background-image: url("../images/aac.tools.svg");
                background-size: 20rem;
                width: 100%;
                height: 100%;
                background-repeat: no-repeat;
                background-position: center;
            }
        }

        .bubble {
            grid-area: bubble;
            transform: translatey(0);
            -webkit-animation: float 5s ease-in-out infinite;
            animation: float 5s ease-in-out infinite;
            mix-blend-mode: multiply;
            text-align: center;
            letter-spacing: 0.3rem;
            font-size: 2.5rem;
            background-color: @mainBlue;
            padding: 2rem;
            border-radius: 1.1rem;
            position: relative;
            box-shadow: -2rem 2rem #83af9b;
            width: 18rem;
            color: @white;
        }

        .bubble:after {
            transform: translatey(0px);
            -webkit-animation: float2 5s ease-in-out infinite;
            animation: float2 5s ease-in-out infinite;
            content: ".";
            font-weight: bold;
            -webkit-text-fill-color: @mainBlue;
            text-shadow: -2.2rem 2.2rem #83af9b;
            text-align: right;
            font-size: 5.5rem;
            width: 5.5rem;
            height: 1.1rem;
            line-height: 3rem;
            border-radius: 1.1rem;
            background-color: @mainBlue;
            position: absolute;
            display: block;
            bottom: -3rem;
            right: 0;
            box-shadow: -2.2rem 2.2rem #83af9b;
            z-index: -2;
        }

        .saying {
            grid-area: saying;
            align-self: end;
            font-size: 3.5rem;
            line-height: 4rem;
            max-width: 39rem;
            padding-left: 2rem;
            margin-bottom: 2rem;

            .beta {
                font-size: 2.75rem;
            }
        }

        .description {
            grid-area: description;
            text-align: center;
            font-size: 1.8rem;
            max-width: 50rem;
            justify-self: center;
            padding-top: 1rem;
        }

        @media screen {
            @media (max-width: 600px) {
                grid-column-gap: 2rem;
                grid-template-columns: auto 16rem;
                grid-template-rows: 8rem 16rem auto;
                grid-template-areas: "bubble." ".logo" "saying saying" "description description";

                .meerchat {
                    grid-area: logo;

                    .logo {
                        background-size: 16rem;
                    }
                }

                .saying {
                    justify-self: center;
                    font-size: 3.5rem;
                    margin-bottom: 0rem;
                }
            }
        }
    }

    .tools {
        display: grid;
        grid-gap: 3rem;
        justify-items: center;
        overflow: hidden;

        .saying {
            align-self: end;
            font-size: 3.5rem;
            line-height: 4rem;
            max-width: 50rem;
            text-align: center;
            padding: 0 2rem;
        }

        .description {
            text-align: center;
            font-size: 1.8rem;
            max-width: 50rem;
            justify-self: center;
            padding: 0 2rem;
        }

        .slider {
            display: grid;
            grid-auto-flow: column;
            grid-template-columns: 1fr 1fr;
            grid-column-gap: 2rem;
            // width: 120vw;
            // margin-left: 20vw;

            // need to figure out how to animate margin left to -20 as page scrolls down

            .tool {
                width: 20rem;
                height: 20rem;

                box-shadow: rgba(0, 0, 0, 0.16) 0rem 0.1rem 0.4rem;
                border: 0.1rem solid @mainBlue;
                border-radius: 2rem;
                overflow: hidden;

                a {
                    display: grid;
                    grid-template-rows: 1fr auto;
                    align-items: center;
                    justify-items: center;

                    position: relative;
                    height: 100%;
                    width: 100%;


                    text-decoration: none;
                    color: @black;

                    img {
                        width: 15rem;
                        height: 15rem;
                    }

                    .name {
                        font-size: 1.6rem;
                    }

                    .details {
                        display: none;
                        align-content: center;
                        justify-content: center;
                        padding: 0.75rem;
                        width: 100%;
                        height: 100%;

                        position: absolute;
                        top: 0;

                        -webkit-backdrop-filter: blur(0.2rem);
                        backdrop-filter: blur(0.2rem);
                        background: fade(@white, 65%);
                        font-size: 1.4rem;
                    }

                    &:hover {
                        .details {
                            display: grid;
                        }
                    }
                }
            }
        }
    }

    @-webkit-keyframes float {
        0% {
            transform: translatey(0px);
        }

        50% {
            transform: translatey(-20px);
        }

        100% {
            transform: translatey(0px);
        }
    }

    @keyframes float {
        0% {
            transform: translatey(0px);
        }

        50% {
            transform: translatey(-20px);
        }

        100% {
            transform: translatey(0px);
        }
    }

    @-webkit-keyframes float2 {
        0% {
            line-height: 30px;
            transform: translatey(0px);
        }

        55% {
            transform: translatey(-20px);
        }

        60% {
            line-height: 10px;
        }

        100% {
            line-height: 30px;
            transform: translatey(0px);
        }
    }

    @keyframes float2 {
        0% {
            line-height: 30px;
            transform: translatey(0px);
        }

        55% {
            transform: translatey(-20px);
        }

        60% {
            line-height: 10px;
        }

        100% {
            line-height: 30px;
            transform: translatey(0px);
        }
    }
}